Name: gnupg
Summary: A GNU utility for secure communication and data storage.
Version: 1.4.11
Release: 1
License: GPL
Group: Productivity/Security
Source0: ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2.sig
URL: http://www.gnupg.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: bzip2, zlib-devel, gettext, info
BuildRequires: curl-devel >= 7.17.1, readline-devel >= 5.2

Requires: bzip2, zlib, gettext, info
Requires: curl >= 7.17.1, readline >= 5.2

Provides: gpg, openpgp

%description
GnuPG (GNU Privacy Guard) is a GNU utility for encrypting data and
creating digital signatures. GnuPG has advanced key management
capabilities and is compliant with the proposed OpenPGP Internet
standard described in RFC2440. Since GnuPG doesn't use any patented
algorithm, it is not compatible with any version of PGP2 (PGP2.x uses
only IDEA for symmetric-key encryption, which is patented worldwide).


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --infodir=%{_infodir} \
    --mandir=%{_mandir} \
    --with-zlib \
    --with-bzip2
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

sed 's^\.\./g[0-9\.]*/^^g' tools/lspgpot > lspgpot
cp lspgpot ${RPM_BUILD_ROOT}%{_bindir}/lspgpot
chmod 755 ${RPM_BUILD_ROOT}%{_bindir}/lspgpot

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/gnupg1.info

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
if test -s %{_infodir}/gnupg1.info.gz ; then
    /sbin/install-info %{_infodir}/gnupg1.info.gz %{_infodir}/dir
fi
if ! test -s %{_infodir}/gpg.info.gz ; then
    /sbin/install-info --delete %{_infodir}/gpg.info.gz %{_infodir}/dir
fi
if ! test -s %{_infodir}/gpgv.info.gz ; then
    /sbin/install-info --delete %{_infodir}/gpgv.info.gz %{_infodir}/dir
fi
exit 0


%preun
if [ $1 = 0 ]; then
    if test -s %{_infodir}/gnupg1.info.gz ; then
        /sbin/install-info --delete %{_infodir}/gnupg1.info.gz %{_infodir}/dir || :
    fi
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS PROJECTS README THANKS TODO
%doc doc/DETAILS doc/HACKING doc/OpenPGP doc/samplekeys.asc
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/%{name}/*
%{_datadir}/locale/*
%{_infodir}/*
%{_mandir}/man?/*
/usr/bin/*


%changelog
* Wed Oct 20 2010 Michael Perzl <michael@perzl.org> - 1.4.11-1
- updated to version 1.4.11

* Thu Jul 01 2010 Michael Perzl <michael@perzl.org> - 1.4.10-2
- removed dependency on gettext >= 0.17

* Fri Sep 04 2009 Michael Perzl <michael@perzl.org> - 1.4.10-1
- updated to version 1.4.10

* Mon Mar 31 2008 Michael Perzl <michael@perzl.org> - 1.4.9-1
- updated to version 1.4.9

* Mon Jan 07 2008 Michael Perzl <michael@perzl.org> - 1.4.8-1
- updated to version 1.4.8

* Sun Oct 07 2007 Michael Perzl <michael@perzl.org> - 1.4.7-1
- first version for AIX V5.1 and higher
